# class Symbol

### Public Class Methods

yaml_new( klass, tag, val ) click to toggle source

    # File lib/syck/rubytypes.rb, line 191
    def Symbol.yaml_new( klass, tag, val )
        if String === val
            val = Syck::load( val ) if val =~ /\A(["']).*\1\z/
            val.intern
        else
            raise Syck::TypeError, "Invalid Symbol: " + val.inspect
        end
    end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 199
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( nil, opts ) do |out|
        out.scalar( "tag:yaml.org,2002:str", self.inspect, :plain )
    end
    end